package service

import (
	"fmt"
	"nms_nbi/src/framework/constants/uploadsubpath"
	"nms_nbi/src/framework/utils/file"
	"nms_nbi/src/modules/api_rest_cxy/utils/common"
)

// 实例化数据层 ConfigImpl 结构体
var NewConfigImpl = &ConfigImpl{}

// 配置数据处理服务 服务层处理
type ConfigImpl struct{}

// ConfigUploadOSS 配置数据上报
func (s *ConfigImpl) ConfigUploadOSS(neType string) error {
	// 配置文件目录
	dir := "C:\\usr\\local\\omc\\upload\\export\\2023\\12"

	// 文件名
	dataSaveFileName := common.DataSaveFileName{}
	fileName := dataSaveFileName.ZIP()
	filePath := fmt.Sprintf("%s/%s", file.ParseUploadFileDir(uploadsubpath.EXPORT), fileName)

	err := file.CompressZipByDir(filePath, dir)
	if err != nil {
		return err
	}

	return common.UploadOSSByZip(filePath, neType, "CM")
}
